/*
=================
Pointers.cpp
- A program that performs pointer operations
=================
*/

#include<iostream>

using namespace std;

/*
=================
main function
- main program
=================
*/
int main()
{
	short *myVarPtr = NULL;
	short myVar = 8;
	
	cout << "Printing Initial values given by: " << endl;
	cout << "-------- ------ ------- ----- --" << endl;
	cout << "myVar: " << myVar << endl; //gives the value of variable
	cout << "&myVar: " << &myVar << endl; //gives address of variable in memory
//	cout << "*myVar: " << *myVar << endl; COMPILE ERROR - NOT A POINTER
	cout << "myVarPtr: " << myVarPtr << endl; //points to nothing, gives address to what it points
	cout << "&myVarPtr: " << &myVarPtr << endl; //gives address of pointer in memory
//	cout << "*myVarPtr: " << *myVarPtr << endl; RUN TIME ERROR - DOESN'T POINT TO ANYTHING

	myVarPtr = &myVar; //to point to another variable

	cout << "Printing New1 values given by: " << endl;
	cout << "-------- ---- ------ ----- --" << endl;
	cout << "myVar: " << myVar << endl; //gives the value of variable
	cout << "&myVar: " << &myVar << endl; //gives address of variable in memory
	cout << "myVarPtr: " << myVarPtr << endl; //gives address to what it points
	cout << "&myVarPtr: " << &myVarPtr << endl; //gives address of pointer in memory
	cout << "*myVarPtr: " << *myVarPtr << endl; //gives the value to what it points
	
	*myVarPtr = 400; //to assign a value
	
	cout << "Printing New2 values given by: " << endl;
	cout << "-------- ---- ------ ----- --" << endl;
	cout << "myVar: " << myVar << endl;
	cout << "&myVar: " << &myVar << endl;
	cout << "myVarPtr: " << myVarPtr << endl;
	cout << "&myVarPtr: " << &myVarPtr << endl;
	cout << "*myVarPtr: " << *myVarPtr << endl;
	
	return 0;
}