/*
=================
Switch.cpp
- A program using the switch statement to see what menu option the user selected
=================
*/

#include<iostream>

/*
=================
main function
- main program
=================
*/
int main()
{
	short userInput;

	//menu printed to screen
	cout << endl << "******Please select the desired option******" << endl;
	cout << "********************************************" << endl;
	cout << "*               1: New Game                *" << endl;
	cout << "*               2: Load Game               *" << endl;
	cout << "*               3: Options                 *" << endl;
	cout << "*               4: Exit Game               *" << endl;
	cout << "********************************************" << endl;

	cin >> userInput; //variable used to store the users input (controlling expression)

	//the switch selection structure testing the controlling expression
	switch(userInput) //the value of the expression is compared with each case label
	{
		case 1:
			cout << "Option 1, New Game, selected..." << endl;
		break;

		case 2:
			cout << "Option 2, Load Game, selected..." << endl;
		break;

		case 3:
			cout << "Option 3, Options, selected..." << endl;
		break;

		case 4:
		{
			cout << "Option 4, Exit Game, selected..." << endl;
			cout << "Thank you for playing!" << endl;
		}
		break;

		case '\n': case' ': //ignore a newline(ENTER) or space as input
			break;

		default: //handles anything else entered
			cout << "Incorrect choice, enter choice again" << endl;
		break;
	}

	return 0;
}
