/*
=================
RecursivePower.cpp
- A program illustrating the use of recursion
=================
*/

#include<iostream>

/*
=================
FUNCTION PROTOTYPE
=================
*/
int Power(int, int, int);

/*
=================
Power function
- takes three parameters passed by value
@ answ: is the answer of the calculation
@ p: is the base of which we calculate the power
@ q: is the power
=================
*/
int Power(int answ, int p, int q)
{
	if (q != 0) //base case q = 0
		return Power(answ * p, p, q - 1); //recursive call
	else cout << "= " << answ << endl; //prints the result when base case is met
}

/*
=================
main function
- main program
=================
*/
int main()
{
	int base, power, answ=1;

	cout << "Enter the number and then the power, eg: 5 3 > ";
	cin >> base >> power; //reads the user input into the variables
	Power(answ, base, power); //calls the function Power for the first time
	
	return 0;
}

