/*
=================
Templ.cpp
- A program making use of function templates
=================
*/

#include<iostream>

using namespace std;

/*
=================
difference template function
- main program
=================
*/
template <class T>
T difference(T val1, T val2)
{
	T total;

	if (val1 > val2)
		total = val1 - val2;
	else
		total = val2 - val1;

	return total;
}


/*
=================
main function
- main program
=================
*/
int main()
{
	int value1i = 1;
	int value2i = 3;

	float value1f = 7.5;
	float value2f = 19.3;

	cout << "The difference between two integers: " << difference(value1i, value2i) << endl;
	cout << "The difference between two floating point values: " << difference(value1f, value2f) << endl;
}
//EOF