/*
=================
ArrayInit.cpp
- A program used for the initialisation of an array via a for loop
=================
*/

#include<iostream>
/* for our random function */
#include<time.h>
#include<stdlib.h>

using namespace std;

/*
=================
main function
- main program
=================
*/
int main()
{
	int our_array[5];  //declare our array to contain 5 integers

	/* a for loop used to initialise our array to 0 */
	for(int i = 0; i <= 4; i++)
	{
		our_array[i] = 0;
	}

	cout << "Element" << " Value" << endl;

	/* use another for loop to print the array elements */
	for(int j = 0; j <= 4; j++)
	{
		cout << j << "\t" << our_array[j] << endl;
	}

	/* makes sure the random values are different each time we run the program */
	srand(time(NULL));

	/* a for loop used to randomly assign values to the array elements */
	for(int k = 0; k <= 4; k++)
	{
		our_array[k] = rand()%6 +1;  //random values between 1 and 6
	}

	cout << endl << "Element" << " Value" << endl;

	/* loop to print the array elements */
	for(int l = 0; l <= 4; l++)
	{
		cout << l << "\t" << our_array[l] << endl;
	}

	return 0;
}
//EOF