/*
=================
Binarysearch.cpp
- A program implementing the binary search technique
=================
*/

#include<iostream>

using namespace std;

#define SIZE 10	//define the constant SIZE

/*
=================
main function
- main program
=================
*/
int main()
{
	int our_array[SIZE] = {55, 11, 22, 19, 71, 48, 37, 90, 211, 5};
	int position, search_value, median, low, high;
	int temp_store; //for our sorting algorithm

	low = 0; //the position in the array from where we start our search
	high = SIZE; //the final position in our array

	/* first sort the array for binary search to work */

	for(int step = 1; step <= SIZE - 1; step++)
	{
		for(int k = 0; k <= SIZE - 2; k++)
		{
			if(our_array[k] > our_array[k+1])  //compare
			{
				temp_store = our_array[k];  //exchange
				our_array[k] = our_array[k+1];
				our_array[k+1] = temp_store;
			}
		}
	}

	/* print the contents of the sorted array */
	cout << endl << "The sorted array:" << endl;

	for(int j = 0; j <= SIZE - 1; j++)
	{
		cout << our_array[j] << " ";
	}

	cout << endl << "Please enter the value to search for: ";
	cin >> search_value;

	/* binary search algorithm */
	while(low <= high)
	{
		median = (low + high)/2; //start exactly in the middle

		if(search_value == our_array[median])
		{
			position = median; //position found!
			break;
		}
		else
			if(search_value < our_array[median])
			{
				high = median - 1; //search lower half
			}
			else
				low = median + 1; //search upper half

			position = -1; //didn't find it
	}

	/* print the results */
	if(position == -1)
		cout << "The value searched for was not found" << endl;
	else
		cout << search_value << " found at position: " << position << endl;

	return 0;
}
//EOF