/*
=================
References.cpp
- A program that performs reference operations
=================
*/

#include<iostream>

using namespace std;

/*
=================
main function
- main program
=================
*/
int main()
{
	short myVar = 8;
	short &myVarRef = myVar;
	const int &anotherRef = 9; //only const can be initialized with value

	cout << "Printing Initial values given by: " << endl;
	cout << "-------- ------- ------ ----- --" << endl;
	cout << "myVar: " << myVar << endl; //gives value of myVar
	cout << "myVarRef: " << myVarRef << endl; //gives value of myVar
	cout << "&anotherRef: " << anotherRef << endl; //gives value of anotherRef
	cout << "&myVar: " << &myVar << endl; //gives memory address of myVar
	cout << "&myVarRef: " << &myVarRef << endl; //gives memory address of myVarRef
	cout << "&anotherRef: " << &anotherRef << endl; //gives memory address of anotherRef

	myVar = 17; //myVar is assigned the integer 17

	cout << "Printing New1 values given by: " << endl;
	cout << "-------- ---- ------ ----- --" << endl;
	cout << "myVar: " << myVar << endl;
	cout << "myVarRef: " << myVarRef << endl;
	cout << "&myVar: " << &myVar << endl;
	cout << "&myVarRef: " << &myVarRef << endl;

	myVarRef = 27; //myVarRef hence myVar is assigned 27
//	anotherRef = 7; //ERROR - const, the value cannot be changed

	cout << "Printing New2 values given by: " << endl;
	cout << "-------- ---- ------ ----- --" << endl;
	cout << "myVar: " << myVar << endl;
	cout << "myVarRef: " << myVarRef << endl;
	cout << "&myVar: " << &myVar << endl;
	cout << "&myVarRef: " << &myVarRef << endl;

	return 0;
}