/*
=================
Float.cpp
- Header file for class definition - IMPLEMENTATION
=================
*/

#include "Float.h"

/*
=================
- Float constructor initializes val data member to 0
- Is always called, thus ensures all Float objects are in a consistent state
=================
*/
Float::Float(float i)
{
	 value = i;
}

/*
=================
- overloading the binary addition operator using a member function then casting to int
=================
*/
Float Float::operator+(Float &i)
{
	return Float((int)(value + i.value));
}

/*
=================
- prints the output to the screen
=================
*/
void Float::Output()
{
	cout << value << endl;
}