/*
=================
SetDate.cpp
- Header file for class definition - IMPLEMENTATION
=================
*/

#include "SetDate.h"

/*
=================
- SetDate constructor initializes each data member to 0
- Is always called, thus ensures all Date objects are in a consistent state
=================
*/
SetDate::SetDate()
{
	day = 0;
	month = 0;
	year = 0;
}

/*
=================
- Sets new Date value, note: no validity checking is done
=================
*/
void SetDate::setDate(int day_, int month_, int year_)
{
	day = day_;
	month = month_;
	year = year_;
}

void SetDate::printDate()
{
	cout << year << "-" << month << "-" << day << endl;
}