/*
=================
SetTime.cpp
- Header file for class definition - IMPLEMENTATION
=================
*/

#include "SetTime.h"

/*
=================
- SetTime constructor initializes each data member to 0
- Is always called, thus ensures all Time objects are in a consistent state
=================
*/
SetTime::SetTime()
{
	hour = 0;
	minute = 0;
	second = 0;
}

/*
=================
- Sets new Time value, note: no validity checking is done
=================
*/
void SetTime::setTime(int hour_, int minute_, int second_)
{
	hour = hour_;
	minute = minute_;
	second = second_;
}

void SetTime::printTime()
{
	cout << hour << ":" << minute << ":" << second << endl;
}

//EOF